View Issue Details

IDProjectCategoryView StatusLast Update
0001173Main CAcert Websiteaccount administrationpublic2013-10-15 20:13
ReporterINOPIAE Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2013 Q2 
Target Version2013 Q2Fixed in Version2013 Q3 
Summary0001173: While email or domain dispute check if the request belongs to a locked account and stop the process
DescriptionIf an email or domain is disputed over the dipute menu, the system should check if the requested information belongs to a lcoked account. If the account corresponding with the information is locked the user should get this message:
"Sorry, the xxx cannot be disputed for administrative reasons. To solve the problem please get in contact with support@c.o."
The lock can be "Account Locking" or "Blocked Assurer".

A mail is send to support:

Subject: Dispute on locked account

Body:
From the account with the primary email address yyyy the email/domain xxx was tired to disputed.
This was blocked as the email/domain xxx belongs to a locked account.
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0001094 closed Wrong information shown when disputing a domain that is part of a organisation account. 

Activities

INOPIAE

2013-05-05 10:39

updater   ~0003973

pushed fix to https://github.com/INOPIAE/CAcert/commit/5c3807f7c86dd4ceb3661e84661ec88760095eed

BenBE

2013-06-11 21:07

updater   ~0004046

On Testserver

INOPIAE

2013-06-11 21:20

updater   ~0004049

Last edited: 2013-06-11 21:37

View 3 revisions

test account locked for dispute:
domain: test.de
email: test.lock.1172@acme.com

test account blocked for dispute:
domain: 1test.de
email: test.block.1173@acme.com

MartinGummi

2013-06-15 08:58

updater   ~0004057

test.de
1test.de
test.block.1173@acme.com
test.lock.1172@acme.com

On accounts locked or blocked, i can't Disputes email or domain

Uli60

2013-06-18 20:22

updater   ~0004062

Last edited: 2013-06-18 20:33

View 2 revisions

login with user assurer 100 AP, 28 EP

starting with domain dispute:
1. test.de
 "Sorry, the domain 'test.de' cannot be disputed for administrative reasons.
 To solve this problem please get in contact with support@cacert.org."
=> ok

2. 1test.de
 "Sorry, the domain '1test.de' cannot be disputed for administrative reasons.
  To solve this problem please get in contact with support@cacert.org."
=> ok

email dispute:
3. "Sorry, the email address 'test.block.1173@acme.com' cannot be disputed
   for administrative reasons. To solve this problem please get in contact
   with support@cacert.org."
=> ok

4. "Sorry, the email address 'test.lock.1172@acme.com' cannot be disputed
    for administrative reasons. To solve this problem please get in contact
    with support@cacert.org."
=> ok

5. domain dispute (existing other domain)
   www.i*.c*
   passes and processing the request
=> ok

6. email m.maengel@i*.c*
   "You only dispute the primary email address of an account if there
    is no longer any email addresses or domains linked to it."
   account with several other email addresses as secondary, response ok
=> ok

7. email ulrich.schroeter@w*.d*
   "The email address 'ulrich.schroeter@w*.d*' has been entered
    into the dispute system, the email address will now be sent
    an email which will give the recipent the option of accepting
    or rejecting the request, if after 2 days we haven't received
    a valid response for or against we will discard the request."
   account with secondary email disputed, as expected
=> ok

INOPIAE

2013-06-18 20:34

updater   ~0004063

please review as at least 2 tester approved tthe bug fix

NEOatNHNG

2013-07-09 22:16

administrator   ~0004109

Second review OK. Ready to deploy.

wytze

2013-07-15 08:58

developer   ~0004149

The patch has been installed on the production server on July 15, 2013. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2013-07/msg00003.html

Issue History

Date Modified Username Field Change
2013-05-05 09:31 INOPIAE New Issue
2013-05-05 09:36 INOPIAE Relationship added related to 0001094
2013-05-05 09:49 INOPIAE Description Updated View Revisions
2013-05-05 10:04 INOPIAE Description Updated View Revisions
2013-05-05 10:39 INOPIAE Note Added: 0003973
2013-05-05 10:39 INOPIAE Assigned To => BenBE
2013-05-05 10:39 INOPIAE Status new => fix available
2013-05-05 10:39 INOPIAE Product Version => 2013 Q2
2013-05-05 10:39 INOPIAE Target Version => 2013 Q2
2013-06-11 21:07 BenBE Reviewed by => BenBE
2013-06-11 21:07 BenBE Note Added: 0004046
2013-06-11 21:07 BenBE Status fix available => needs review & testing
2013-06-11 21:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 5b424018
2013-06-11 21:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable adc9c253
2013-06-11 21:10 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 5c3807f7
2013-06-11 21:20 INOPIAE Note Added: 0004049
2013-06-11 21:25 INOPIAE Note Edited: 0004049 View Revisions
2013-06-11 21:37 INOPIAE Note Edited: 0004049 View Revisions
2013-06-11 21:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 751f0bf0
2013-06-11 21:50 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 3b6e668c
2013-06-15 08:58 MartinGummi Note Added: 0004057
2013-06-18 20:22 Uli60 Note Added: 0004062
2013-06-18 20:33 Uli60 Note Edited: 0004062 View Revisions
2013-06-18 20:34 INOPIAE Note Added: 0004063
2013-06-18 20:34 INOPIAE Assigned To BenBE => NEOatNHNG
2013-06-18 20:34 INOPIAE Status needs review & testing => needs review
2013-07-09 22:16 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2013-07-09 22:16 NEOatNHNG Note Added: 0004109
2013-07-09 22:16 NEOatNHNG Status needs review => ready to deploy
2013-07-12 20:10 BenBE Source_changeset_attached => cacert-devel release c74fc8fa
2013-07-15 08:58 wytze Note Added: 0004149
2013-07-15 08:58 wytze Status ready to deploy => solved?
2013-07-15 08:58 wytze Fixed in Version => 2013 Q3
2013-07-15 08:58 wytze Resolution open => fixed
2013-10-15 20:13 INOPIAE Status solved? => closed